Bold VideoDocs

Settings

Get portal settings

GET
/api/v1/settings

Authorization

api_token
AuthorizationBearer <token>

API token provided by BOLD Admin

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://app.boldvideo.io/api/v1/settings"
{
  "data": {
    "account": {
      "multimodal": {
        "accepted_media_types": [
          "image/png",
          "image/jpeg",
          "image/webp",
          "image/gif"
        ],
        "enabled": false,
        "max_images": 5
      }
    },
    "ai_avatar": "string",
    "ai_greeting": "string",
    "ai_name": "string",
    "chat_disclaimer": "string",
    "favicon_url": "string",
    "has_ai": true,
    "logo_url": "string",
    "name": "string",
    "portal": {
      "analytics": {
        "provider": "none",
        "site_id": "string"
      },
      "auth": {},
      "color_scheme": "light",
      "custom_redirects": [
        {
          "path": "/apple",
          "permanent": false,
          "url": "https://podcasts.apple.com/..."
        }
      ],
      "display": {},
      "hero": {
        "type": "none"
      },
      "layout": {},
      "navigation": {},
      "theme": {}
    },
    "slug": "string",
    "theme_config": {
      "color_scheme": "light",
      "dark": {
        "accent": "string",
        "accent_foreground": "string",
        "background": "string",
        "border": "string",
        "foreground": "string",
        "muted": "string",
        "muted_foreground": "string",
        "primary": "string",
        "ring": "string",
        "sidebar": "string",
        "sidebarAccent": "string",
        "surface": "string"
      },
      "light": {
        "accent": "string",
        "accent_foreground": "string",
        "background": "string",
        "border": "string",
        "foreground": "string",
        "muted": "string",
        "muted_foreground": "string",
        "primary": "string",
        "ring": "string",
        "sidebar": "string",
        "sidebarAccent": "string",
        "surface": "string"
      },
      "radius": "0.625rem"
    }
  },
  "version": "0.1"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}